#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidIndex {
    #[serde(rename = "index")]
    index: i32,
}
impl InvalidIndex {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(index: i32) -> Self {
        Self::builder().index(index).build()
    }
    #[inline]
    pub fn index(&self) -> i32 {
        self.index
    }
}
impl conjure_error::ErrorType for InvalidIndex {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "SavedView:InvalidIndex"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["index"]
    }
}
